<?
include_once("mysql.php");
include 'include/sesi.php';
include 'include/golova.php';
//Здесь открывааем файл с настройками и заносим его данные в массив
$a = file ("config.dat");

//Обрабатываем массив, дабы убрать мусор, типа перенос строки и пробелы, иначе трабл будет вам
$i = 1;
$fi = count($a);
$n = 0;
while ($i <= $fi) {

$a [$i] = trim (str_replace ("\n","",$a[$i]));
$n = $n + $a[$i];
$i++;
}

//Придаем переменным данные из массива
$base_day = $a[1];
$base_mon = $a[2];
$base_yr = $a[3];
$week_see = $a[4];
$mon_see = $a[5];
$time_see = $a[6];

// Получаем сегодняшнюю дату и время
$current_day = date ("j");
$current_mon = date ("n");
$current_yr = date ("Y");
$current_week = date ("w");
$current_time = date ("h:i:s");

// Вычисляем разницу дат

$base_mon_max = date ("t",mktime (0,0,0,$base_mon,$base_day,$base_yr));

$base_day_diff 		= $base_mon_max - $base_day;

$base_mon_diff 		= 12 - $base_mon - 1;

// запустить 1-ого января следующего года
$start_day		= 1;
$start_mon		= 1;
$start_yr		= $base_yr + 1;

// различие 1-ого января
$day_diff	= ($current_day - $start_day) + 1;	// добавить сегодня
$mon_diff	= ($current_mon - $start_mon) + 1;	// добавить текущий месяц
$yr_diff	= ($current_yr - $start_yr);
// добавить остальную часть $base_yr
$day_diff	= $day_diff + $base_day_diff;
$mon_diff	= $mon_diff + $base_mon_diff;

// обработать переполнение дней
if ($day_diff >= $base_mon_max) {
$day_diff = $day_diff - $base_mon_max;
$mon_diff = $mon_diff + 1;
}

// обработать переполнение лет
if ($mon_diff >= 12) {
$mon_diff = $mon_diff - 12;
$yr_diff = $yr_diff + 1;
}

// результаты - здесь:

// $yr_diff 	-> годы между двумя датами
// $mon_diff 	-> месяц между двумя датами
// $day_diff 	-> дни между двумя датами

// **********************************************************************************************************************//
//Делаем правильное отображение даты. Чтоб небыло типа [ 5 год - 4 месяцев - 12 дня ]
if ($yr_diff == "0") $years = "";
if ($yr_diff == "1") $years = "год";
if ($yr_diff == "2") $years = "года";
if ($yr_diff == "3") $years = "года";
if ($yr_diff == "4" ) $years = "года";
if ($yr_diff >= "5") $years = "лет";

if ($mon_diff == "0") $mon = "";
if ($mon_diff == "1") $mon = "месяц";
if ($mon_diff == "2") $mon = "месяца";
if ($mon_diff == "3") $mon = "месяца";
if ($mon_diff == "4") $mon = "месяца";
if ($mon_diff >= "5") $mon = "месяцев";

if ($day_diff == "0") $days = "";
if ($day_diff == "1") $days = "день";
if ($day_diff == "2") $days = "дня";
if ($day_diff == "3") $days = "дня";
if ($day_diff == "4") $days = "дня";
if ($day_diff >= "5") $days = "дней";
if ($day_diff == "21") $days = "день";
if ($day_diff == "22") $days = "дня";
if ($day_diff == "23") $days = "дня";
if ($day_diff == "24") $days = "дня";
if ($day_diff == "31") $days = "день";

if ($week_see == 1) {
if ($current_week == "0") $week = "-<b>воскресенье</b>";
if ($current_week == "1") $week = "-<b>понедельник</b>";
if ($current_week == "2") $week = "-<b>вторник</b>";
if ($current_week == "3") $week = "-<b>среда</b>";
if ($current_week == "4") $week = "-<b>четверг</b>";
if ($current_week == "5") $week = "-<b>пятница</b>";
if ($current_week == "6") $week = "-<b>субота</b>";
}
else { $week = ""; }

if ($mon_see == 1){
if ($current_mon == "1") $kind_mon = "январь";
if ($current_mon == "2") $kind_mon = "февраль";
if ($current_mon == "3") $kind_mon = "март";
if ($current_mon == "4") $kind_mon = "апрель";
if ($current_mon == "5") $kind_mon = "май";
if ($current_mon == "6") $kind_mon = "июнь";
if ($current_mon == "7") $kind_mon = "июль";
if ($current_mon == "8") $kind_mon = "август";
if ($current_mon == "9") $kind_mon = "сентябрь";
if ($current_mon == "10") $kind_mon = "октябрь";
if ($current_mon == "11") $kind_mon = "ноябрь";
if ($current_mon == "12") $kind_mon = "декабрь";
}
else { $kind_mon = $current_mon; }

if ($time_see == 1) { $serv_time = "[Время сайта: <b>$current_time</b>]<br />"; }
else { $serv_time = ""; }
//***********************************************************************************************************************//

// Выводим результат
echo $serv_time;
print "[Игра создана: <b>".$base_day."-".$base_mon."-".$base_yr."</b>]<br />\n";
print "[Сегодня: <b>".$current_day."-".$kind_mon."-".$current_yr."</b>$week]<br />\n";
print "Всего игра живет:<br>";

echo "[";
if ($yr_diff >= "1") { echo "<b>$yr_diff</b>$years "; }
if ($mon_diff >= "1") { echo "<b>$mon_diff</b>$mon "; }
if ($day_diff >= "1") { echo "<b>$day_diff</b>$days"; }
echo "]<br />\n";
echo"<hr>";
echo"<b><a href=\"index.php?$sd\">На главную</a></b><br/>";
echo"<hr>";
echo '©Wap-Worlds.Ru, 2011<br/>';
echo"".date("H:i:s")."<br/>";
echo '</div><div class="foot">';
?>
